<?php
if (!defined('_CAN_LOAD_FILES_'))
	exit;
	
class blokkontaktu extends Module
{
	public function __construct()
	{
		$this->name = 'blokkontaktu';
		$this->tab = 'front_office_features';
		$this->version = '1.1';

		parent::__construct();

		$this->displayName = $this->l('Blok kontaktu');
		$this->description = $this->l('Pozwala podać dodatkowe informacje kontaktu z obsługą sklepu');
	}
	
	public function install()
	{
		return (parent::install() AND Configuration::updateValue('blokkontaktu_telefon', '') AND Configuration::updateValue('blokkontaktu_email', '') AND Configuration::updateValue('gadugadu', '') AND Configuration::updateValue('facebook', '') AND Configuration::updateValue('fb', '') AND $this->registerHook('rightColumn') && $this->registerHook('header'));
	}
	
	public function uninstall()
	{
		//Delete configuration			
		return (Configuration::deleteByName('blokkontaktu_telefon') AND Configuration::deleteByName('blokkontaktu_email') AND Configuration::deleteByName('blokkontaktu_gadgadu') AND Configuration::deleteByName('blokkontaktu_facebook') AND Configuration::deleteByName('blokkontaktu_fb') AND parent::uninstall());
	}
	
	public function getContent()
	{
		// If we try to update the settings
		if (isset($_POST['submitModule']))
		{				
			Configuration::updateValue('blokkontaktu_telefon', (preg_match('/^[0-9]+/', $_POST['telefon']) ? $_POST['telefon']: ''));
			Configuration::updateValue('blokkontaktu_email', (($_POST['email'] != '') ? $_POST['email']: ''));
			Configuration::updateValue('blokkontaktu_gadugadu', (($_POST['gadugadu'] != '') ? $_POST['gadugadu']: ''));
			Configuration::updateValue('blokkontaktu_facebook', (($_POST['facebook'] != '') ? $_POST['facebook']: ''));
			Configuration::updateValue('blokkontaktu_fb', (($_POST['fb'] != '') ? $_POST['fb']: ''));
			echo '<div class="conf confirm"><img src="../img/admin/ok.gif"/>'.$this->l('Configuration updated').'</div>';
		}
		
		return '
		<h2>'.$this->displayName.'</h2>
		<form action="'.Tools::htmlentitiesutf8($_SERVER['REQUEST_URI']).'" method="post">
			<fieldset class="width2">
				<legend>Telefon</legend>
				<label for="telefon">'.$this->l('Numer:').'</label> 
				<input type="text" id="telefon" name="telefon" value="'.((Configuration::get('blokkontaktu_telefon') != "") ? Configuration::get('blokkontaktu_telefon') : "").'" />
			</fieldset>
			<div class="clear">&nbsp;</div>
			<fieldset class="width2">
				<legend>E-mail</legend>
				<label for="email">'.$this->l('Adres:').'</label> 
				<input type="text" id="email" name="email" value="'.((Configuration::get('blokkontaktu_email') != "") ? Configuration::get('blokkontaktu_email') : "").'" />
			</fieldset>
			<div class="clear">&nbsp;</div>
			<fieldset class="width2">
				<legend>Gadu-Gadu</legend>
				<label for="gadugadu">'.$this->l('Numer:').'</label> 
				<input type="text" id="gadugadu" name="gadugadu" value="'.((Configuration::get('blokkontaktu_gadugadu') != "") ? Configuration::get('blokkontaktu_gadugadu') : "").'" />
			</fieldset>
			<div class="clear">&nbsp;</div>
			<fieldset class="width2">
				<legend>Facebook</legend>
				<label for="facebook">'.$this->l('Adres:').'</label> 
				<input type="text" id="facebook" name="facebook" value="'.((Configuration::get('blokkontaktu_facebook') != "") ? Configuration::get('blokkontaktu_facebook') : "").'" />
				<div class="clear">&nbsp;</div>
				<label for="fb">'.$this->l('Pokaż jako:').'</label> 
				<input type="text" id="fb" name="fb" value="'.((Configuration::get('blokkontaktu_fb') != "") ? Configuration::get('blokkontaktu_fb') : "").'" /> - '.$this->l('Opcjonalnie').'
			</fieldset>
			<div class="clear">&nbsp;</div>
			<br /><center><input type="submit" name="submitModule" value="'.$this->l('Aktualizuj ustawienia').'" class="button" /></center>
		</form>';
	}
	
	public function hookHeader()
	{
		Tools::addCSS(($this->_path).'blokkontaktu.css', 'all');
	}
	
	public function hookRightColumn()
	{
		global $smarty;
		
		$plik = fopen ("http://www.gadu-gadu.pl/users/status.asp?id=".Configuration::get('blokkontaktu_gadugadu')."&styl=2", "r");
		$status = fgets($plik, 2);
		switch ($status) {
		   case 1:
				$ikona='niedostepny.png';
				$opis=$this->l('niedostępny');
				break;
		   case 2:
				$ikona='dostepny.png';
				$opis=$this->l('dostępny');
				break;
		   case 3:
				$ikona='zarazwracam.png';
				$opis=$this->l('zaraz wracam');
				break;
		   default:
				$ikona='niedostepny.png';
				$opis=$this->l('błąd');
				break;
		}
		fclose($plik);
			$smarty->assign(array(
			'telefon' => Configuration::get('blokkontaktu_telefon'),
			'email' => Configuration::get('blokkontaktu_email'),
			'gadugadu' => Configuration::get('blokkontaktu_gadugadu'),
			'ggopis' => $opis,
			'ggikona' => $ikona,
			'ggstatus' => $status,
			'facebook' => Configuration::get('blokkontaktu_facebook'),
			'fb' => Configuration::get('blokkontaktu_fb')
		));
		return $this->display(__FILE__, 'blokkontaktu.tpl');
	}
		public function hookLeftColumn()
	{
		global $smarty;
		
		$plik = fopen ("http://www.gadu-gadu.pl/users/status.asp?id=".Configuration::get('blokkontaktu_gadugadu')."&styl=2", "r");
		$status = fgets($plik, 2);
		switch ($status) {
		   case 1:
				$ikona='niedostepny.png';
				$opis=$this->l('niedostępny');
				break;
		   case 2:
				$ikona='dostepny.png';
				$opis=$this->l('dostępny');
				break;
		   case 3:
				$ikona='zarazwracam.png';
				$opis=$this->l('zaraz wracam');
				break;
		   default:
				$ikona='niedostepny.png';
				$opis=$this->l('błąd');
				break;
		}
		fclose($plik);
			$smarty->assign(array(
			'telefon' => Configuration::get('blokkontaktu_telefon'),
			'email' => Configuration::get('blokkontaktu_email'),
			'gadugadu' => Configuration::get('blokkontaktu_gadugadu'),
			'ggopis' => $opis,
			'ggikona' => $ikona,
			'ggstatus' => $status,
			'facebook' => Configuration::get('blokkontaktu_facebook'),
			'fb' => Configuration::get('blokkontaktu_fb')
		));
		return $this->display(__FILE__, 'blokkontaktu.tpl');
	}
	public function hookFooter($params)
		{
		global $smarty;
		
		$plik = fopen ("http://www.gadu-gadu.pl/users/status.asp?id=".Configuration::get('blokkontaktu_gadugadu')."&styl=2", "r");
		$status = fgets($plik, 2);
		switch ($status) {
		   case 1:
				$ikona='niedostepny.png';
				$opis=$this->l('niedostępny');
				break;
		   case 2:
				$ikona='dostepny.png';
				$opis=$this->l('dostępny');
				break;
		   case 3:
				$ikona='zarazwracam.png';
				$opis=$this->l('zaraz wracam');
				break;
		   default:
				$ikona='niedostepny.png';
				$opis=$this->l('błąd');
				break;
		}
		fclose($plik);
			$smarty->assign(array(
			'telefon' => Configuration::get('blokkontaktu_telefon'),
			'email' => Configuration::get('blokkontaktu_email'),
			'gadugadu' => Configuration::get('blokkontaktu_gadugadu'),
			'ggopis' => $opis,
			'ggikona' => $ikona,
			'ggstatus' => $status,
			'facebook' => Configuration::get('blokkontaktu_facebook'),
			'fb' => Configuration::get('blokkontaktu_fb')
		));
		return $this->display(__FILE__, 'blokkontaktu.tpl');
	}
}
?>